1
0
Fork 0

fix trap printing to stdout and support a new feature in vim 8 (as well as fix dependency for an older feature)

This commit is contained in:
Von Random 2016-09-30 14:39:57 +03:00
parent 72e7d4eea6
commit fedbc3dcfc
2 changed files with 6 additions and 2 deletions

2
bashrc
View file

@ -187,5 +187,5 @@ unset completion_path git_prompt_path
# }}} # }}}
# {{{ traps # {{{ traps
# we want to see exit code on error (it also has to be the last entry here) # we want to see exit code on error (it also has to be the last entry here)
trap 'printf "${nred}>>${reset} ${bold}exit${reset} ${nred}%s${reset}\n" "$?"' ERR trap 'printf "${nred}>>${reset} ${bold}exit${reset} ${nred}%s${reset}\n" "$?" >&2' ERR
# }}} # }}}

6
vimrc
View file

@ -20,7 +20,7 @@ set noerrorbells visualbell t_vb=
" indentation_RIP " indentation_RIP
"set shiftwidth=3 tabstop=3 noexpandtab "set shiftwidth=3 tabstop=3 noexpandtab
" indentation_OK " indentation_OK
set tabstop=3 softtabstop=4 shiftwidth=4 colorcolumn=81 smarttab expandtab set tabstop=3 softtabstop=4 shiftwidth=4 smarttab expandtab
set statusline=%F%m%r%h%w\ [FORMAT=%{&ff}]\ [TYPE=%Y]\ [POS=%04l,%04v][%p%%]\ [LEN=%L] set statusline=%F%m%r%h%w\ [FORMAT=%{&ff}]\ [TYPE=%Y]\ [POS=%04l,%04v][%p%%]\ [LEN=%L]
@ -60,9 +60,13 @@ nnoremap L $
" still have to deal with old vim versions :< " still have to deal with old vim versions :<
if v:version >= 700 if v:version >= 700
if v:version >= 703 if v:version >= 703
set colorcolumn=80
set relativenumber set relativenumber
nnoremap <Leader>r :setlocal relativenumber!<CR> nnoremap <Leader>r :setlocal relativenumber!<CR>
endif endif
if v:version >= 800
set breakindent
endif
set helplang=en set helplang=en
set list set list